[Version]
Signature=$Windows95$
Class=HpScanJetScanner
Provider=%String1%

[ClassInstall]
AddReg=ScanJetClassReg

[ScanJetClassReg]
HKR,,,0,%ScanJetClassName%
HKR,,Installer,0,hpsjclas.dll
HKR,,Icon,0,101

[DestinationDirs]
DefaultDestDir=11
HelpFile=18
OldVxDFile=12

[Manufacturer]
%String1%=HP

[HP]
%String2%=SCSIScanJet,HP______C2520A__________3
%String3%=SCSIScanJet,HP______C2570A__________3
%String4%=SCSIScanJet,HP______C1750A__________3
%String5%=SCSIScanJet,HP______C2500A__________3
%String6%=SCSIScanJet,HP______C1790A__________3
%String7%=SCSIScanJet,HP______C1130A__________3
%String8%=SJPlus,hwp1461
%String9%=SJII,hwp2002
%String10%=SJ2503,hwp2080
%String11%=SJ2522
%String12%=SCSIScanJet,HP______C5110A__________3
%String13%=SCSIScanJet,HP______C5190A__________3
%String14%=USBScanJet,USB\Vid_03f0&Pid_0101
%String15%=USBScanJet,USB\Vid_03f0&Pid_0201
%String15%=SCSIScanJet,HP______C6270A__________3

[USBScanJet]
AddReg=USBReg
CopyFiles=USBFile,DLLFile,HelpFile
UpdateInis=ControlIni

[USBReg]
HKR,,DeviceType,1,1
HKR,,DevLoader,,*NTKERN
HKR,,NTMPDriver,,"hpsjusb.sys"

[USBFile]
hpsjusb.sys

[SCSIScanJet]
AddReg=VxDReg
CopyFiles=DLLFile,HelpFile,VxDFile
DelFiles=OldVxDFile
UpdateCfgSys=ConfigSys
UpdateInis=ControlIni,SystemIni

[VxDReg]
HKR,,DevLoader,,vhpscand.vxd
;;;HKR,,DevLoader,,*IOS

[DLLFile]
hpscnmgr.dll
hpsjclas.dll
hpscntst.dll
hpsj32.dll
hpsj1695.dll
reg32.dll

[HelpFile]
hpscnmgr.hlp

[VxDFile]
vhpscand.vxd
hpsjrfsh.vxd

[OldVxDFile]
vhpscand.vxd

[ConfigSys]
DevDelete=sjiix.sys

[ControlIni]
control.ini,MMCPL,,"ScanJet=hpscnmgr.dll",0

[CleanControlIni]
control.ini,MMCPL,"ScanJet=hpscnmgr.dll",,0

[SystemIni]
system.ini,386Enh,"device=win400i.386",,0
system.ini,386Enh,"device=hpscanr.386",,0

[ControlFlags]

[SJPlus]
LogConfig=SJ+Config
CopyFiles=SJ+File,DLLFile
DelFiles=OldVxDFile,VxDFile
UpdateCfgSys=SJ+ConfigSys
UpdateInis=CleanControlIni
Reboot

[SJ+Config]
ConfigPriority=HARDRECONFIG
IOConfig=268-26f,278-27f
MemConfig=c00000-c3fff,c4000-c7fff,c8000-cbfff,cc000-cffff,d0000-d3fff,d4000-d7fff,d8000-dbfff,dc000-dffff
IRQConfig=5,7

[SJ+File]
sjdriver.sys

[SJ+ConfigSys]
DevAddDev=sjdriver.sys,device

[SJII]
LogConfig=SJIIConfig
CopyFiles=SJIIFile,DLLFile
DelFiles=OldVxDFile,VxDFile
UpdateInis=CleanControlIni
UpdateCfgSys=SJIIConfigSys
Reboot

[SJIIConfig]
ConfigPriority=HARDRECONFIG
MemConfig=C8000-cbfff,cc000-cffff,d0000-d3fff,d4000-d7fff,d8000-dbfff,dc000-dffff

[SJIIFile]
sjii.sys

[SJIIConfigSys]
DevAddDev=sjii.sys,device

[SJ2503]
LogConfig=SJ2503Config
CopyFiles=SJ2503File,DLLFile
DelFiles=OldVxDFile,VxDFile
UpdateCfgSys=SJ2503ConfigSys
UpdateInis=SystemIni,CleanControlIni
Reboot

[SJ2503Config]
ConfigPriority=DESIRED
IOConfig=280-28f(3ff::),290-29f(3ff::),300-30f(3ff::),310-31f(3ff::),330-33f(3ff::),340-34f(3ff::),348-357(3ff::),350-35f(3ff::)

[SJ2503File]
mini400i.sys
sjiix.sys

[SJ2503ConfigSys]
DevAddDev=mini400i.sys,device
DevAddDev=sjiix.sys,device

[SJ2522]
LogConfig=SJ2522Config
CopyFiles=SJ2522File,DLLFile
DelFiles=OldVxDFile,VxDFile
UpdateCfgSys=SJ2522ConfigSys
UpdateInis=SystemIni,CleanControlIni,IosIni
Reboot

[SJ2522Config]
ConfigPriority=DESIRED
IOConfig=20@200-ffff%ffe0

[SJ2522File]
aspi416.sys
sjiix.sys

[SJ2522ConfigSys]
DevAddDev=aspi416.sys,device,0,/override
DevAddDev=sjiix.sys,device,0

[IosIni]
ios.ini,SafeList,,"aspi416.sys	; HP ScanJet SCSI interface",0

[SourceDisksNames]
1=%DiskName%,,

[SourceDisksFiles]
hpscnmgr.dll=1
hpscnmgr.hlp=1
hpsjclas.dll=1
hpscntst.dll=1
hpsj32.dll=1
hpsj1695.dll=1
sjii.sys=1
sjdriver.sys=1
sjiix.sys=1
mini400i.sys=1
aspi416.sys=1
vhpscand.vxd=1
hpsjrfsh.vxd=1
reg32.dll=1

[Strings]
String1="Hewlett-Packard"
String2="HP ScanJet 6100C"
String3="HP ScanJet 3p"
String4="HP ScanJet IIc"
String5="HP ScanJet IIcx"
String6="HP ScanJet IIp"
String7="HP ScanJet 4p"
String8="HP ScanJet Plus"
String9="HP ScanJet IIc/IIp on C1752/C1753"
String10="HP ScanJet on C2503"
String11="HP ScanJet on C2522"
String12="HP ScanJet 5p"
String13="HP ScanJet 5100C"
String14="HP ScanJet 4100C"
String15="HP ScanJet 6200C"
ScanJetClassName="HP ScanJet Scanners"
DiskName="HP Scanning Software CD"

